#!/bin/bash

# установка пакета, который служит для отображения чека на основе json документа, получаемого с КС
# 
VERSION=node_12.x

sudo add-apt-repository -y -r ppa:chris-lea/node.js
sudo rm -f /etc/apt/sources.list.d/chris-lea-node_js-*.list
sudo rm -f /etc/apt/sources.list.d/chris-lea-node_js-*.list.save

curl -sSL https://deb.nodesource.com/gpgkey/nodesource.gpg.key | sudo apt-key add -

DISTRO="$(lsb_release -s -c)"
echo "deb https://deb.nodesource.com/$VERSION $DISTRO main" | sudo tee /etc/apt/sources.list.d/nodesource.list
echo "deb-src https://deb.nodesource.com/$VERSION $DISTRO main" | sudo tee -a /etc/apt/sources.list.d/nodesource.list

sudo apt-get update

# Ранее сервис был в докере, позаботимся о том, чтобы его удалить (иначе будет конкуренция за один порт)
sudo docker stop sale-renderer || true
sudo docker rm -fv sale-renderer || true

sudo apt-get -y install artixcs-sale-renderer
sudo service artixcs-sale-renderer restart